Use Atlantic;
GO
SELECT O.customer_id
, (O.orders_qty * O.orders_sell_price) AS line_total,
	(SELECT CAST(AVG(orders_qty * orders_sell_price) AS DECIMAL(8,2))
	FROM Orders
	WHERE customer_id = O.customer_id) AS avg_cust_total
FROM  Orders AS O
ORDER BY O.customer_id;